Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine
Class WildcardTransitionCriteria

    java.lang.Object
      org.springframework.webflow.engine.WildcardTransitionCriteria

All Implemented Interfaces:
  java.io.Serializable, TransitionCriteria

    public class WildcardTransitionCriteria

extends java.lang.Object
implements TransitionCriteria, java.io.Serializable

Transition criteria that always returns true.

Author:
  Keith Donald
See Also:
  Serialized Form

Field Summary
`static WildcardTransitionCriteria` | `INSTANCE` Shared instance of a TransitionCriteria that always returns true.
`static java.lang.String` | `WILDCARD_EVENT_ID` Event id value ("*") that will cause the transition to match on any event.

Method Summary
`boolean` | `test(RequestContext context)` Check if the transition should fire based on the given flow execution request context.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WILDCARD_EVENT_ID

    public static final java.lang.String WILDCARD_EVENT_ID

  Event id value ("*") that will cause the transition to match on any event.

  See Also:
    Constant Field Values

### INSTANCE

    public static final WildcardTransitionCriteria INSTANCE

  Shared instance of a TransitionCriteria that always returns true.

Method Detail

### test

    public boolean test(RequestContext context)

  Description copied from interface: `TransitionCriteria`
  Check if the transition should fire based on the given flow execution request context.

  Specified by:
    `test` in interface `TransitionCriteria`
  Parameters:
    `context` - the flow execution request context
  Returns:
    true if the transition should fire, false otherwise

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD